# Uses of Class
java.security.cert.CertPathValidator

Packages that use CertPathValidator
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

- ## Uses of CertPathValidator in java.security.cert

  Methods in java.security.cert that return CertPathValidator
  Modifier and Type
  Method
  Description
  `static CertPathValidator`
  CertPathValidator.`getInstance(String algorithm)`
  Returns a `CertPathValidator` object that implements the specified algorithm.
  `static CertPathValidator`
  CertPathValidator.`getInstance(String algorithm, String provider)`
  Returns a `CertPathValidator` object that implements the specified algorithm.
  `static CertPathValidator`
  CertPathValidator.`getInstance(String algorithm, Provider provider)`
  Returns a `CertPathValidator` object that implements the specified algorithm.